<?php // Script Copyright 2026 Econfirmpro 
if(!defined('AUTHACCESS')){echo "Not Allowed";exit();}

$mtags = "";
$topic = !empty($model_info['topic']) ? $model_info['topic'] : "";
$description = !empty($model_info['description']) ?  $model_info['description'] : "";
$turns_on = !empty($model_info['turns_on']) ? $model_info['turns_on'] : "";
$turns_off = !empty($model_info['turns_off']) ? $model_info['turns_off'] : "";
$bio = !empty($model_info['biography']) ? $model_info['biography'] : "";
$media_type = !empty($model_info['media_type']) ? $model_info['media_type'] : "cams";
if(!empty($model_info['tags'])){
	foreach($model_info['tags'] as $xtag){
		$mtags .= $xtag . " ";
	}

}

if(!empty($template)) {
	$themeurl = "/theme/$template";
}
$model_info['username'] = clean_username($model_info['username']);
$model_info['username'] = strtolower($model_info['username']);
//$model_url = $site_directory . "/$media_type/$sponsor/model_profile/" . $model_info['username']. $themeurl . $desc_url;
$model_url = $site_directory . "/$media_type/" . $checkfeed . "/model_profile/" . $model_info['username'] . $theme . $desc_url;



/*if(!empty($topic)){
			$topic = "<div class=\"thb_topic\"> $topic</div>";
}else if(!empty($description)) {
			$topic = "<div class=\"thb_topic\"> $description</div>";
}else if(!empty($turns_on)) {
			$topic = "<div class=\"thb_topic\"> $turns_on</div>";
}else if(!empty($bio)) {
			$topic = "<div class=\"thb_topic\"> $bio</div>";
}else if(!empty($turns_off)) {
			$topic = "<div class=\"thb_topic\"> $turns_off</div>";
}else if(!empty($mtags)) {
			$topic = "<div class=\"thb_topic\"> $mtags</div>";
}*/

$topic = "<div class=\"thb_topic box1-right\"><div class=\"mname\">$mname</div><br><br><span class=topictext>$topic";
$topic .= $bio . " " . $description . " " . $turns_on . " " . $turns_off . " " . $turns_off . " " .  $mtags;
$topic .= "</span></div>";

$cell =<<<TBC
<div class=box1container>
		<a  href="$chtrm" target=_blank style="text-decoration:none;">
		<div class="thbcell box1-left" style="background-image:url($thb);background-size:cover;background-position: center;">
		<span class="mname2">$mname</span>

		</div>
		$topic 
		</a>
</div>
TBC;


$this_thb =<<<TTH
<a href="$model_url">
<div class=box1container>
		<div class="thbcell box1-left"  style="background-image:url($thb);background-size:cover;background-position: center;background-repeat: no-repeat;">
			<span class="mname2">$mname</span>
		</div>
		$topic 
</div>
</a>
TTH;

$this_video =<<<THV
<div class=box1container>
	<a href="$videopagelink">
		<div class="thbcell box1-left"  style="background-image:url($thb);background-size:cover;background-position: center;background-repeat: no-repeat;">
			<span class="mname2">$mname</span>
		</div>
	</a>
		$topic 
</div>
THV;



?>
